Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messagetypes
Class OSCIMessage

    java.lang.Object
      eu.osci.messagetypes.OSCIMessage

Direct Known Subclasses:
  OSCIMsgBoxFetchResponse, OSCIMsgBoxStatusListResponse, OSCIRequestParent, OSCIResponse

    public abstract class OSCIMessage

extends java.lang.Object

This is the abstract parent class for all OSCI message types. It offers the general field and common processing for all messages.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary
`static java.util.ResourceBundle` | `text` ResourceBundle object, for translation into the local language.

Constructor Summary
`OSCIMessage()`

Method Summary
`org.w3._2005._08.addressing.AttributedURIType` | `getAction()` Returns the addressing action of the OSCI message.
`java.util.ArrayList<com.sun.xml.ws.api.message.Header>` | `getAdditionalHeaderList()` Returns the additional headers.
`org.w3._2005._08.addressing.AttributedURIType` | `getMessageId()` Returns the addressing 'MessageID' attribute of the OSCI message.
`org.w3._2005._08.addressing.AttributedURIType` | `getTo()` Returns the addressing 'To' attribute of the OSCI message.
`void` | `setAction(org.w3._2005._08.addressing.AttributedURIType _action)` Sets the addressing 'Action' attribute.
`void` | `setAdditionalHeaderList(java.util.ArrayList<com.sun.xml.ws.api.message.Header> _additionalHeaderList)` Adds a list of additional not specified headers.
`void` | `setMessageId(org.w3._2005._08.addressing.AttributedURIType _messageId)` Sets the addressing 'MessageID' attribute.
`void` | `setTo(org.w3._2005._08.addressing.AttributedURIType _to)` Sets the addressing 'To' attribute.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public static final java.util.ResourceBundle text

  ResourceBundle object, for translation into the local language.

Constructor Detail

### OSCIMessage

    public OSCIMessage()

Method Detail

### getAction

    public org.w3._2005._08.addressing.AttributedURIType getAction()

  Returns the addressing action of the OSCI message. In most cases the action will be get out of the WSDL file.

### setAction

    public void setAction(org.w3._2005._08.addressing.AttributedURIType _action)

  Sets the addressing 'Action' attribute. This setter has no sense in most cases because the 'Action' attribute will be get out of the WSDL file. Be careful with this setter because if the framework will put an 'Action' header into the SOAP message there will be two headers available.

  Parameters:
    `_action` - The action element that will be used.

### getTo

    public org.w3._2005._08.addressing.AttributedURIType getTo()

  Returns the addressing 'To' attribute of the OSCI message. In the most cases the action will be get out of the WSDL file.

### setTo

    public void setTo(org.w3._2005._08.addressing.AttributedURIType _to)

  Sets the addressing 'To' attribute. This setter has no sense in most cases because the 'To' attribute out of the WSDL will be used. Be careful with this setter because if the framework will put a 'To' header into the SOAP message there will be two headers available.

  Parameters:
    `_to` - The 'To' element that will be used.

### getMessageId

    public org.w3._2005._08.addressing.AttributedURIType getMessageId()

  Returns the addressing 'MessageID' attribute of the OSCI message.

### setMessageId

    public void setMessageId(org.w3._2005._08.addressing.AttributedURIType _messageId)

  Sets the addressing 'MessageID' attribute. This setter has no sense in most cases because the 'MessageID' attribute will be created by the framework and overwriting is not allowed. Be careful with this setter, because if the framework will put a 'MessageID' header into the SOAP message there will be two headers available.

  Parameters:
    `_messageId` - That will by used for the message to send.

### getAdditionalHeaderList

    public java.util.ArrayList<com.sun.xml.ws.api.message.Header> getAdditionalHeaderList()

  Returns the additional headers.

### setAdditionalHeaderList

    public void setAdditionalHeaderList(java.util.ArrayList<com.sun.xml.ws.api.message.Header> _additionalHeaderList)

  Adds a list of additional not specified headers.

  Parameters:
    `_additionalHeaderList` - List of soap headers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.